﻿#pragma once
#include "CoreMinimal.h"
#include "StoveSDKEnum.generated.h"

UENUM(BlueprintType)
enum class EStoveAlignment : uint8
{
    TopLeft         = 0     UMETA(DisplayName = "TopLeft"),
    TopCenter       = 1     UMETA(DisplayName = "TopCenter"),
    TopRight        = 2     UMETA(DisplayName = "TopRight"),
    MiddleLeft      = 3     UMETA(DisplayName = "MiddleLeft"),
    MiddleCenter    = 4     UMETA(DisplayName = "MiddleCenter"),
    MiddleRight     = 5     UMETA(DisplayName = "MiddleRight"),
    BottomLeft      = 6     UMETA(DisplayName = "BottomLeft"),
    BottomCenter    = 7     UMETA(DisplayName = "BottomCenter"),
    BottomRight     = 8     UMETA(DisplayName = "BottomRight")
};

// UENUM(BlueprintType)
// enum class EStoveLanguage : uint8
// {
//     System      = 0     UMETA(DisplayName = "System"),
//     Korean      = 1     UMETA(DisplayName = "Korean"),
//     English     = 2     UMETA(DisplayName = "English"),
//     Japanese    = 3     UMETA(DisplayName = "Japanese"),
//     Chinese     = 4     UMETA(DisplayName = "Chinese"),
//     German      = 5     UMETA(DisplayName = "German"),
//     French      = 6     UMETA(DisplayName = "French"),
//     Spanish     = 7     UMETA(DisplayName = "Spanish"),
//     Portuguese  = 8     UMETA(DisplayName = "Portuguese"),
//     Thai        = 9     UMETA(DisplayName = "Thai"),
//     Italian     = 10    UMETA(DisplayName = "Italian")
// };